Subject: Banana Farm Address?

From: [email-masked]
Date: 16 Aug 93 23:57:14 GMT

There is a banana farm on the California coast just north of Ventura, I think
it's in Carpenteria, but it might be another little town that I can't remember
--Anyway, does anyone in this group happen to have (or know where to get) a
phone number and/or address for this place?

Much thanks in advance -- (would "muchas bananas" be too awful?) :-)

--Leslie
[email-masked]